{extends file="widgets/base/widget.tpl"}

{strip}
    {block name="et-widget-container-inner"}
        {include file="widgets/base/textfield.tpl" value=$et_BrandSlider.headline type="h2" asRow=true classes="et-widget-headline"}
        <div class="et-brand-slider-wrapper row">
            <div class="col p-0">
                <div class="et-brand-slider et-slider et-hover-style-{$et_BrandSlider.hoverStyle}" data-slick='{
                 "nextArrow": "#et-brand-slider-next-{$et_BaseWidget.id}",
                 "prevArrow": "#et-brand-slider-prev-{$et_BaseWidget.id}",
                 "slidesToShow": {if !empty($et_BrandSlider.visibleElements.xl) && $et_BrandSlider.visibleElements.xl > 0}{$et_BrandSlider.visibleElements.xl}{else}5{/if},
                 "slidesToScroll": 1,
                 "responsive": [
                    { "breakpoint": {$et_global.breakpoints.lgMax}, "settings": { "slidesToShow": {if !empty($et_BrandSlider.visibleElements.lg) && $et_BrandSlider.visibleElements.lg > 0}{$et_BrandSlider.visibleElements.lg}{else}4{/if} }},
                    { "breakpoint": {$et_global.breakpoints.mdMax}, "settings": { "slidesToShow": {if !empty($et_BrandSlider.visibleElements.md) && $et_BrandSlider.visibleElements.md > 0}{$et_BrandSlider.visibleElements.md}{else}3{/if} }},
                    { "breakpoint": {$et_global.breakpoints.smMax}, "settings": { "slidesToShow": {if !empty($et_BrandSlider.visibleElements.sm) && $et_BrandSlider.visibleElements.sm > 0}{$et_BrandSlider.visibleElements.sm}{else}2{/if} }},
                    { "breakpoint": {$et_global.breakpoints.xsMax}, "settings": { "slidesToShow": {if !empty($et_BrandSlider.visibleElements.xs) && $et_BrandSlider.visibleElements.xs > 0}{$et_BrandSlider.visibleElements.xs}{else}1{/if} }}
                    ],
                 "lazyload": "ondemand"
                 }' id="et-brand-slider-{$et_BaseWidget.id}">
                    {foreach from=$et_BrandSlider.manufacturers item=manufacturer}
                        <div class="et-brand-slider-slide et-slider-slide">
                            <a href="{$manufacturer->cURL}" title="{$manufacturer->cMetaTitle|escape:'html'}">
                                {image fluid=true lazy=true
                                src=$manufacturer->cBildURLNormal
                                alt=$manufacturer->getName()|escape:'html'
                                class="et-brand-slider-slide-image"
                                }
                            </a>
                        </div>
                    {/foreach}
                </div>
                <div class="et-brand-slider-nav et-slider-nav" id="et-brand-slider-nav-{$et_BaseWidget.id}">
                    <div class="et-slider-nav-prev enabled slick-arrow slick-hidden" id="et-brand-slider-prev-{$et_BaseWidget.id}">
                        <i class="{et_getIcon key='sliderPrevious'}"></i>
                    </div>
                    <div class="et-slider-nav-next enabled slick-arrow slick-hidden" id="et-brand-slider-next-{$et_BaseWidget.id}">
                        <i class="{et_getIcon key='sliderNext'}"></i>
                    </div>
                </div>
            </div>
        </div>
    {/block}
{/strip}