{extends file="widgets/base/widget.tpl"}

{strip}
    {block name="et-widget-inline-styles"}
        {if $et_SubCategories.customColorsEnabled}
            <style type="text/css">
                #{$et_BaseWidget.cssId}.bg-fullsize,
                #{$et_BaseWidget.cssId}.bg-boxed .container,
                #{$et_BaseWidget.cssId} .et-sub-categories-wrapper-content {
                    {if !empty($et_SubCategories.colorBackground)}background-color:{$et_SubCategories.colorBackground};{/if}
                    {if !empty($et_SubCategories.colorFont)}color:{$et_SubCategories.colorFont};{/if}
                }
            </style>
        {/if}
    {/block}
        {block name="et-widget-container-inner"}
            {include file="widgets/base/textfield.tpl" value=$et_SubCategories.headline type="h2" asRow=true classes="et-widget-headline"}
            <div class="et-sub-categories-wrapper row et-sub-categories-{$et_SubCategories.displayType} row-cols-{$et_SubCategories.categoriesPerRow.xs} row-cols-sm-{$et_SubCategories.categoriesPerRow.sm} row-cols-md-{$et_SubCategories.categoriesPerRow.md} row-cols-lg-{$et_SubCategories.categoriesPerRow.lg} row-cols-xl-{$et_SubCategories.categoriesPerRow.xl} et-align-horizontal-{$et_SubCategories.alignmentHorizontal}">
                {foreach from=$oUnterKategorien_arr item="subCategory" name="subcategories"}
                    <div class="col">
                        <div class="et-sub-category">
                            {$imgAlt = $subCategory->getAttribute('img_alt')}
                            {if $et_SubCategories.displayType === 'text'
                            || $subCategory->getImage() === null
                            || $subCategory->getImage() === $smarty.const.BILD_KEIN_KATEGORIEBILD_VORHANDEN
                            || $subCategory->getImage() === 'gfx/keinBild_kl.gif'
                            || $subCategory->getImage() === $imageBaseURL|cat:$smarty.const.BILD_KEIN_KATEGORIEBILD_VORHANDEN}
                                <a href="{$subCategory->getURL()}" class="link-discreet et-sub-category-link-wrapper" title="{$subCategory->getName()}">
                                    <h3 class="et-sub-category-title et-subcategory-title-no-image">
                                        {$subCategory->getName()}
                                    </h3>
                                </a>
                            {elseif $et_SubCategories.displayType === 'compact'}
                                <a href="{$subCategory->getURL()}" class="link-discreet et-sub-category-link-wrapper" title="{$subCategory->getName()}">
                                    <div class="et-sub-category-image">
                                        {image fluid=true lazy=true webp=true
                                        src=$subCategory->getImage(\JTL\Media\Image::SIZE_XS)
                                        alt="{if empty($imgAlt->cWert)}{$subCategory->getName()}{else}{$imgAlt->cWert}{/if}"}
                                    </div>
                                    <h3 class="et-sub-category-title">
                                        {$subCategory->getName()}
                                    </h3>
                                </a>
                            {elseif $et_SubCategories.displayType === 'large'}
                                <a href="{$subCategory->getURL()}" class="link-discreet et-sub-category-link-wrapper" title="{$subCategory->getName()}">
                                    <div class="et-sub-category-image">
                                        {image fluid=true lazy=true webp=true
                                        src=$subCategory->getImage(\JTL\Media\Image::SIZE_LG)
                                        alt="{if empty($imgAlt->cWert)}{$subCategory->getName()}{else}{$imgAlt->cWert}{/if}"}
                                        <div class="et-sub-category-positioner">
                                            <div class="et-sub-category-backdrop">
                                                <h3 class="et-sub-category-title">
                                                    {$subCategory->getName()}
                                                </h3>
                                            </div>
                                        </div>
                                    </div>
                                </a>
                            {/if}
                            {if $et_SubCategories.showDescription && !empty($subCategory->getDescription())}
                                {block name='productlist-header-subcategories-description'}
                                    <div class="et-sub-category-description">
                                        {$subCategory->getDescription()|strip_tags|truncate:100}
                                    </div>
                                {/block}
                            {/if}
                            {if $et_SubCategories.showChildren}
                                {if $subCategory->hasChildren()}
                                    {block name='productlist-header-subcategories-list'}
                                        <div class="et-sub-category-children">
                                            {foreach $subCategory->getChildren() as $subChild}
                                                <div>
                                                    <a href="{$subChild->getURL()}" title="{$subChild->getName()}">{$subChild->getName()}</a>
                                                </div>
                                            {/foreach}
                                        </div>
                                    {/block}
                                {/if}
                            {/if}
                        </div>
                    </div>
                {/foreach}
            </div>
        {/block}
{/strip}