{extends file="widgets/base/widget.tpl"}

{strip}
    {block name="et-widget-inline-styles"}
        {if $et_TextBlock.columns}
            <style type="text/css">
                {if isset($et_TextBlock.columns.xs) && $et_TextBlock.columns.xs !== ''}
                    @media (max-width: {$et_global.breakpoints.xsMax}px) {
                        #{$et_BaseWidget.cssId} .et-shorten-to-text {
                            column-count: {$et_TextBlock.columns.xs};
                        }
                    }
                {/if}
                {if isset($et_TextBlock.columns.sm) && $et_TextBlock.columns.sm !== ''}
                    @media (min-width: {$et_global.breakpoints.smMin}px) and (max-width: {$et_global.breakpoints.smMax}px)  {
                        #{$et_BaseWidget.cssId} .et-shorten-to-text {
                            column-count: {$et_TextBlock.columns.sm};
                        }
                    }
                {/if}
                {if isset($et_TextBlock.columns.md) && $et_TextBlock.columns.md !== ''}
                    @media (min-width: {$et_global.breakpoints.mdMin}px) and (max-width: {$et_global.breakpoints.mdMax}px)  {
                        #{$et_BaseWidget.cssId} .et-shorten-to-text {
                            column-count: {$et_TextBlock.columns.md};
                        }
                    }
                {/if}
                {if isset($et_TextBlock.columns.lg) && $et_TextBlock.columns.lg !== ''}
                    @media (min-width: {$et_global.breakpoints.lgMin}px) and (max-width: {$et_global.breakpoints.lgMax}px)  {
                        #{$et_BaseWidget.cssId} .et-shorten-to-text {
                            column-count: {$et_TextBlock.columns.lg};
                        }
                    }
                {/if}
                {if isset($et_TextBlock.columns.xl) && $et_TextBlock.columns.xl !== ''}
                    @media (min-width: {$et_global.breakpoints.xlMin}px) {
                        #{$et_BaseWidget.cssId} .et-shorten-to-text {
                            column-count: {$et_TextBlock.columns.xl};
                        }
                    }
                {/if}
            </style>
        {/if}
    {/block}

    {block name="et-widget-container-inner"}
        {block name="et-text-block-headline"}
            <div class="et-text-block-headline">
                {include file="widgets/base/textfield.tpl" value=$et_TextBlock.headline asRow=true type="h2" classes="et-widget-headline"}
            </div>
        {/block}

        {block name="et-text-block-content"}
            <div class="row et-text-block-content-wrapper"
                data-shorten-to='{$et_TextBlock.shortenToLength|json_encode}'
                data-shorten-to-columns='{$et_TextBlock.columns|json_encode}'
                aria-expanded="true"
            >
                <div class="col">
                    {block name="et-text-block-content-text"}
                        <div class="et-shorten-to-text">
                            {$et_TextBlock.text}
                        </div>
                    {/block}

                    {block name="et-text-block-content-buttons"}
                        {block name="et-text-block-content-buttons-read-more"}
                            <div class="et-shorten-to-more" style="display: none">
                                {include file="widgets/base/button.tpl"
                                    title="{et_language key='et360_read_more'}"
                                    variant="link"
                                    icon="{et_getIcon key='readMore'}"
                                    iconPosition="right"
                                    classes="et-collapse-closed"
                                    label="{et_language key='et360_read_more'}"
                                }
                            </div>
                        {/block}

                        {* No read less button on default theme, but maybe for child themes *}
                        {block name="et-text-block-content-buttons-read-less"}{/block}
                    {/block}
                </div>
            </div>
        {/block}
    {/block}
{/strip}