{extends file="widgets/base/widget.tpl"}

{strip}
    {block name="et-widget-inline-styles"}
        {if $et_TextImage.customColorsEnabled}
            <style type="text/css">
                #{$et_BaseWidget.cssId}.bg-fullsize,
                #{$et_BaseWidget.cssId}.bg-boxed .et-text-image-content {
                    {if !empty($et_TextImage.colorBackground)}background-color: {$et_TextImage.colorBackground};{/if}
                    {if !empty($et_TextImage.colorFont)}color: {$et_TextImage.colorFont};{/if}
                }

                {* Set correct color to fade out text *}
                #{$et_BaseWidget.cssId} .et-shorten-to-text:after {
                    background: linear-gradient(to bottom, rgba(255, 255, 255, 0) 0, {$et_TextImage.colorBackground} 100%);
                }
            </style>
        {/if}
    {/block}

    {block name="et-widget-container-inner"}
        {block name="et-text-image-headline"}
            <div class="et-text-image-headline">
                {include file="widgets/base/textfield.tpl" value=$et_TextImage.headline asRow=true type="h2" classes="et-widget-headline"}
            </div>
        {/block}

        {block name="et-text-image-wrapper"}
            <div class="row et-text-image-wrapper {if $et_TextImage.noPadding}et-text-image-nopadding{/if} et-align-horizontal-{$et_TextImage.alignmentHorizontal} et-align-vertical-{$et_TextImage.alignmentVertical} et-layout-{$et_TextImage.layout}"
                data-shorten-to='{$et_TextImage.shortenToLength|json_encode}'
                aria-expanded="true"
            >
                {block name="et-text-image-image"}
                    {if $et_TextImage.image && $et_TextImage.image.src !== ''}
                        <div class="et-text-image-image col col-12 col-sm-6">
                            <img src="{$et_TextImage.image.src}"{if $et_TextImage.image.alt} alt="{$et_TextImage.image.alt}"{/if} class="img-responsive" loading="lazy" />
                        </div>
                    {/if}
                {/block}

                {block name="et-text-image-content-wrapper"}
                    <div class="et-text-image-content-wrapper col col-12{if $et_TextImage.image && $et_TextImage.image.src !== ''} col-sm-6{/if}">
                        {block name="et-text-image-content"}
                            <div class="et-text-image-content">
                                {block name="et-text-image-content-headline"}
                                    {include file="widgets/base/textfield.tpl" value=$et_TextImage.textHeadline type="h2"}
                                {/block}

                                {block name="et-text-image-text"}
                                    <div class="et-text-image-text et-shorten-to-text">
                                        {$et_TextImage.text}
                                    </div>
                                {/block}

                                {block name="et-text-image-text-buttons"}
                                    {block name="et-text-image-content-buttons-read-more"}
                                        <div class="et-shorten-to-more" style="display: none">
                                            {include file="widgets/base/button.tpl"
                                                title="{et_language key='et360_read_more'}"
                                                variant="link"
                                                icon="{et_getIcon key='readMore'}"
                                                iconPosition="right"
                                                classes="et-collapse-closed"
                                                label="{et_language key='et360_read_more'}"
                                            }
                                        </div>
                                    {/block}

                                    {* No read less button on default theme, but maybe for child themes *}
                                    {block name="et-text-image-text-buttons-read-less"}{/block}
                                {/block}

                                {if $et_TextImage.link && isset($et_TextImage.linkLabel) && !empty($et_TextImage.linkLabel.value)}
                                    {block name="et-text-image-link"}
                                        <div class="et-text-image-link">
                                            {capture name='contentBoxLabel'}{include file="widgets/base/textfield.tpl" value=$et_TextImage.linkLabel type='span'}{/capture}
                                            {include file="widgets/base/button.tpl"
                                                href="{$et_TextImage.link.href}"
                                                title="{$et_TextImage.link.title}"
                                                isExternal="{$et_TextImage.link.external}"
                                                iconPosition="{($et_TextImage.linkDisplayMode === 'button') ? 'default' : 'right'}"
                                                variant="{($et_TextImage.linkDisplayMode === 'button') ? 'primary' : 'link'}"
                                                label="{$smarty.capture.contentBoxLabel}"
                                            }
                                        </div>
                                    {/block}
                                {/if}
                            </div>
                        {/block}
                    </div>
                {/block}
            </div>
        {/block}
    {/block}
{/strip}
