{extends file="widgets/base/widget.tpl"}

{strip}
    {block name="et-widget-inline-styles"}
        {if $et_TextVideo.customColorsEnabled}
            <style type="text/css">
                #{$et_BaseWidget.cssId}.bg-fullsize,
                #{$et_BaseWidget.cssId}.bg-boxed .container {
                    {if !empty($et_TextVideo.colorBackground)}background-color: {$et_TextVideo.colorBackground};{/if}
                    {if !empty($et_TextVideo.colorFont)}color: {$et_TextVideo.colorFont};{/if}
                }

                {* Set correct color to fade out text *}
                #{$et_BaseWidget.cssId} .et-shorten-to-text:after {
                    background: linear-gradient(to bottom, rgba(255, 255, 255, 0) 0, {$et_TextVideo.colorBackground} 100%);
                }
            </style>
        {/if}
    {/block}

    {block name="et-widget-container-inner"}
        {block name="et-text-video-headline"}
            <div class="et-text-video-headline">
                {include file="widgets/base/textfield.tpl" value=$et_TextVideo.headline asRow=true type="h2" classes="et-widget-headline"}
            </div>
        {/block}

        {block name="et-text-video-wrapper"}
            <div class="row et-text-video-wrapper et-align-horizontal-{$et_TextVideo.alignmentHorizontal} et-align-vertical-{$et_TextVideo.alignmentVertical} et-layout-{$et_TextVideo.layout}"
                data-shorten-to='{$et_TextVideo.shortenToLength|json_encode}'
                aria-expanded="true"
            >
                {block name="et-text-video-embed"}
                    <div class="et-text-video-embed col col-12 col-sm-6">
                        {include file="widgets/base/video.tpl" video=$et_TextVideo.video}
                    </div>
                {/block}

                {block name="et-text-video-content"}
                    <div class="et-text-video-content col col-12 col-sm-6">
                        {block name="et-text-video-content-headline"}
                            {include file="widgets/base/textfield.tpl" value=$et_TextVideo.textHeadline type="h2"}
                        {/block}

                        {block name="et-text-video-text"}
                            <div class="et-text-video-text et-shorten-to-text">
                                {$et_TextVideo.text}
                            </div>
                        {/block}

                        {block name="et-text-video-text-buttons"}
                            {block name="et-text-video-content-buttons-read-more"}
                                <div class="et-shorten-to-more" style="display: none">
                                    {include file="widgets/base/button.tpl"
                                        title="{et_language key='et360_read_more'}"
                                        variant="link"
                                        icon="{et_getIcon key='readMore'}"
                                        iconPosition="right"
                                        classes="et-collapse-closed"
                                        label="{et_language key='et360_read_more'}"
                                    }
                                </div>
                            {/block}

                            {* No read less button on default theme, but maybe for child themes *}
                            {block name="et-text-video-text-buttons-read-less"}{/block}
                        {/block}

                        {if $et_TextVideo.link}
                            {block name="et-text-video-link"}
                                <div class="et-text-video-link">
                                    {capture name='contentBoxLabel'}{include file="widgets/base/textfield.tpl" value=$et_TextVideo.linkLabel type='span'}{/capture}
                                    {include file="widgets/base/button.tpl"
                                        href="{$et_TextVideo.link.href}"
                                        title="{$et_TextVideo.link.title}"
                                        isExternal="{$et_TextVideo.link.external}"
                                        iconPosition="{($et_TextVideo.linkDisplayMode === 'button') ? 'default' : 'right'}"
                                        variant="{($et_TextVideo.linkDisplayMode === 'button') ? 'primary' : 'link'}"
                                        label="{$smarty.capture.contentBoxLabel}"
                                    }
                                </div>
                            {/block}
                        {/if}
                    </div>
                {/block}
            </div>
        {/block}
    {/block}
{/strip}