{block name="et-menu-styles"}
    {if $etMenuSettings.customColorsEnabled}
        <style type="text/css">
            #et-menu-main-wrapper.bg-fullsize,
            #et-menu-main-wrapper.bg-boxed > .container:not(.et-menu-main-content),
            #et-menu-mobile-wrapper .et-mobile-menu {
            {if $etMenuSettings.colorBackground !== ''} background-color: {$etMenuSettings.colorBackground};{/if}
            }

            #et-menu-main-wrapper .et-menu-item,
            #et-menu-main-wrapper .et-menu-overflow-trigger {
            {if $etMenuSettings.colorBackground !== ''} background-color: {$etMenuSettings.colorBackground};{/if}
            {if $etMenuSettings.colorFont !== ''} color: {$etMenuSettings.colorFont};{/if}
            {if $etMenuSettings.colorPartingLine} border-color: {$etMenuSettings.colorPartingLine}{/if}
            }

            #et-menu-mobile-wrapper .et-menu-item {
            {if $etMenuSettings.colorFont !== ''} color: {$etMenuSettings.colorFont};{/if}
            }
            #et-menu-mobile-wrapper .et-menu-item-link {
            {if $etMenuSettings.colorBackground !== ''} background-color: {$etMenuSettings.colorBackground};{/if}
            }

            #et-menu-main-wrapper .et-menu-item:focus,
            #et-menu-main-wrapper .et-menu-item:hover,
            #et-menu-main-wrapper .et-menu-item:active,
            #et-menu-main-wrapper .et-menu-item.et-menu-open,
            #et-menu-main-wrapper .et-menu-overflow-trigger:focus,
            #et-menu-main-wrapper .et-menu-overflow-trigger:hover,
            #et-menu-main-wrapper .et-menu-overflow-trigger:active {
            {if $etMenuSettings.colorBackgroundHover !== ''} background-color: {$etMenuSettings.colorBackgroundHover};{/if}
            {if $etMenuSettings.colorFontHover !== ''} color: {$etMenuSettings.colorFontHover};{/if}
            }

            #et-menu-mobile-wrapper .et-menu-item:focus,
            #et-menu-mobile-wrapper .et-menu-item:hover,
            #et-menu-mobile-wrapper .et-menu-item:active,
            #et-menu-mobile-wrapper .et-menu-item.et-menu-open {
            {if $etMenuSettings.colorFontHover !== ''} color: {$etMenuSettings.colorFontHover};{/if}
            }

            #et-menu-mobile-wrapper .et-menu-item-link:focus,
            #et-menu-mobile-wrapper .et-menu-item-link:hover,
            #et-menu-mobile-wrapper .et-menu-item-link:active,
            #et-menu-mobile-wrapper .et-menu-item.et-menu-open .et-menu-item-link {
            {if $etMenuSettings.colorBackgroundHover !== ''} background-color: {$etMenuSettings.colorBackgroundHover};{/if}
            }

            #et-menu-main-content,
            #et-menu-main-content .container,
            #et-menu-main-content .container-fluid,
            #et-menu-mobile-content,
            #et-menu-mobile-content .container,
            #et-menu-mobile-content .container-fluid {
            {if $etMenuSettings.colorContentBackground !== ''} background-color: {$etMenuSettings.colorContentBackground};{/if}
            {if $etMenuSettings.colorContentFont !== ''} color: {$etMenuSettings.colorContentFont};{/if}
            }

            #et-menu-mobile-content a {
            {if $etMenuSettings.colorContentBackground !== ''} background-color: {$etMenuSettings.colorContentBackground};{/if}
            {if $etMenuSettings.colorContentFont !== ''} color: {$etMenuSettings.colorContentFont};{/if}
            }

            #et-menu-main-content a:focus,
            #et-menu-main-content a:hover,
            #et-menu-main-content a:active,
            #et-menu-mobile-content a:focus,
            #et-menu-mobile-content a:hover,
            #et-menu-mobile-content a:active {
            {if $etMenuSettings.colorContentBackgroundHover !== ''} background-color: {$etMenuSettings.colorContentBackgroundHover};{/if}
            {if $etMenuSettings.colorContentFontHover !== ''} color: {$etMenuSettings.colorContentFontHover};{/if}
            }

            #et-menu-main-wrapper {
            {if !empty($etMenuSettings.colorBottomPartingLine)} border-bottom-color: {$etMenuSettings.colorBottomPartingLine};{/if}
            }

            #et-menu-mobile-wrapper .et-menu-mobile-header {
            {if !empty($etMenuSettings.colorMobileHeaderBackground)} background-color: {$etMenuSettings.colorMobileHeaderBackground};{/if}
            {if !empty($etMenuSettings.colorMobileHeaderFont)} color: {$etMenuSettings.colorMobileHeaderFont};{/if}
            }

            #et-menu-mobile-wrapper .et-menu-mobile-footer {
            {if !empty($etMenuSettings.colorMobileFooterBackground)} background-color: {$etMenuSettings.colorMobileFooterBackground};{/if}
            {if !empty($etMenuSettings.colorMobileFooterFont)} color: {$etMenuSettings.colorMobileFooterFont};{/if}
            }

            #et-menu-mobile-wrapper .et-menu-mobile-items {
            {if !empty($etMenuSettings.colorMobileBackground)} background-color: {$etMenuSettings.colorMobileBackground};{/if}
            }

        </style>
    {/if}
{/block}

{* NOTE: We CANNOT use mobile detect to show only one of the menus, because e.g. iPad Pro is mobile, but is on the LG breakpoint in landscape mode - requiring the desktop menu to be shown. *}

{* DESKTOP / MAIN MENU *}
{et_isPencilModeEnabled assign='adminPencilModeEnabled'}
<div id="et-menu-main-wrapper"
     data-menu-open-on="{if $etMenuSettings.openOnHover}hover{else}click{/if}"
     data-menu-overflow-mode="{$etMenuSettings.overflowMode}"
     class="d-none d-lg-block et-menu et-menu-main et-hover-style-{$etMenuSettings.hoverStyle} bg{if $etMenuSettings.size === 'fullsizeBoxed' || $etMenuSettings.size === 'fullsize'}-fullsize{else}-boxed{/if}{if $etMenuSettings.displayPartingLine} parting-line-enabled{/if}{if $etMenuSettings.centerMode} center-mode-enabled{/if}{if $etMenuSettings.sticky} et-sticky{/if}{if \JTL\Shop::isAdmin(true) && $adminPencilModeEnabled} et-admin{/if}">
    {block name="et-menu-main"}
        <div class="{block name="et-menu-main-container-class"}container{if $etMenuSettings.size === 'fullsize'}-fluid{/if}{/block}">
            <div class="row menu-item-row">
                {if $etMenuSettings.overflowMode === 'nowrap'}<div class="et-menu-overflow-trigger"><i class="et-closed {et_getIcon key="collapseClosed"}"></i><i class="et-open {et_getIcon key="collapseOpen"}"></i></div>{/if}
                {et_renderGrid id="menu_main" context=['menuType' => 'main']}
            </div>
        </div>
    {/block}
    <div id="et-menu-main-content" class="et-menu-main-content" style="display:none;">{* This is the main menu dropdown / popup - its content and display is controlled by JS. *}</div>
    {if \JTL\Shop::isAdmin(true) && $adminPencilModeEnabled}<a href="{et_getPluginBaseUrl}#/area/menu/grid/{if $isMobile}mobile{else}main{/if}" title="{et_language key="et360_admin_edit_widget"}" class="et-admin-link" target="_blank"><i class="fas fa-pen"></i></a>{/if}
</div>

{* MOBILE MENU *}
<div id="et-menu-mobile-wrapper" class="et-menu-mobile-wrapper d-block d-sm-block d-md-block d-lg-none">
    <div class="et-menu et-menu-mobile">
        {block name="et-menu-mobile"}
            {block name="et-menu-mobile-header"}
                <div class="container-fluid et-menu-mobile-header">
                    <div class="row">
                        {block name="et-menu-mobile-header-logo"}
                            <div class="col">
                                <div class="et-menu-mobile-logo">
                                    {* Note: JS tries to instead move LOGO from header / #logo in here when the menu is opened *}
                                    {if isset($ShopLogoURL)}
                                        {image src=$ShopLogoURL
                                        alt=$Einstellungen.global.global_shopname
                                        id="shop-logo"
                                        class="img-responsive"
                                        }
                                    {else}
                                        <span class="h1">{$Einstellungen.global.global_shopname}</span>
                                    {/if}
                                </div>
                            </div>
                        {/block}
                        {block name="et-menu-mobile-header-close"}
                            <div class="col">
                                <div class="et-menu-mobile-close">
                                    <div class="et-menu-mobile-close-trigger" data-toggle-mobile-menu>
                                        <i class="{et_getIcon key='close'}"></i>
                                    </div>
                                </div>
                            </div>
                        {/block}
                    </div>
                </div>
            {/block}
            {block name="et-menu-mobile-item-row"}
                <div class="{block name="et-menu-mobile-container-class"}et-menu-mobile-items container-fluid{/block}">
                    <div class="row menu-item-row">
                        {* Note: Mobile may be rendered elsewhere, if necessary *}
                        {et_renderGrid id="menu_mobile" fallbackId="menu_main" context=['menuType' => 'mobile']}
                    </div>
                </div>
            {/block}
            {block name="et-menu-mobile-footer"}
                <div class="et-menu-mobile-footer">
                    {* Account, Wishlist, Comparelist *}
                    {block name="et-menu-mobile-account-wishlist-compare"}
                        <div class="et-menu-mobile-account-wishlist-compare">
                            <div class="row">
                                <div class="col">
                                    <a class="link-discreet" href="{get_static_route id='jtl.php' secure=true}" title="{lang key='myAccount' section='global'}"><i class="{et_getIcon key='login'}"></i></a>
                                </div>
                                {if $Einstellungen.global.global_wunschliste_anzeigen === 'Y'}
                                    <div class="col">
                                        <a class="link-discreet" href="{get_static_route id='wunschliste.php' secure=true}" title="{lang key='goToWishlist' section='global'}"><i class="{et_getIcon key='wishlist'}"></i></a>
                                    </div>
                                {/if}
                                {if !empty($smarty.session.Vergleichsliste->oArtikel_arr)}
                                    <div class="col">
                                        <a class="link-discreet" href="{get_static_route id='vergleichsliste.php' secure=true}" title="{lang key='goToCompare' section='global'}"><i class="{et_getIcon key='comparelist'}"></i></a>
                                    </div>
                                {/if}
                            </div>
                        </div>
                    {/block}
                    {* Language, Currency selection *}
                    {if (isset($smarty.session.Sprachen) && $smarty.session.Sprachen|@count > 1) || (isset($smarty.session.Waehrungen) && $smarty.session.Waehrungen|@count > 1)}
                        {block name="et-menu-mobile-language-currency"}
                            <div class="et-menu-mobile-language-currency">
                                <div class="row">
                                    {if isset($smarty.session.Sprachen) && $smarty.session.Sprachen|@count > 1}
                                        <div class="col">
                                            {include file='snippets/language_dropdown.tpl'}
                                        </div>
                                    {/if}
                                    {if isset($smarty.session.Waehrungen) && $smarty.session.Waehrungen|@count > 1}
                                        <div class="col">
                                            {include file='snippets/currency_dropdown.tpl'}
                                        </div>
                                    {/if}
                                </div>
                            </div>
                        {/block}
                    {/if}
                    {block name="et-menu-mobile-footer-placeholder"}
                        <div class="et-menu-mobile-footer-placeholder">
                            {* This is filled dynamically when the mobile menu is opened for the first time - the #footer will be mapped into this *}
                        </div>
                    {/block}
                </div>
            {/block}

            {block name="et-menu-mobile-content"}
                <div id="et-menu-mobile-content" class="et-menu-mobile-content">
                    <div class="container-fluid et-menu-mobile-content-header">
                        <div class="row">
                            <div class="col-2">
                                <div class="et-menu-mobile-content-back">
                                    <div class="et-menu-mobile-content-back-trigger">
                                        <i class="{et_getIcon key='navigationPrevious'}"></i>
                                    </div>
                                </div>
                            </div>
                            <h3 class="col-10 et-menu-mobile-content-title et-menu-item-title">
                                {* Will be set dynamically by JS *}
                            </h3>
                        </div>
                    </div>
                    <div class="container-fluid et-menu-mobile-content-container">
                        {* This is the mobile menu content display - its content and display is controlled by JS. *}
                    </div>
                </div>
            {/block}
        {/block}
    </div>
</div>